PPSPYAPI Platform
EN / 中文
API REFERENCE

Ad Store Placement Analysis API

GET/open-api/v1/ad-stores/deep-analysis
·api.ppspy.com
Data and monitoring usage rules

Points Consumption Rules: 1. Retrieving a Shopify data result consumes 1 data, while retrieving an ad library data result consumes 2 data. Retrieving additional data details for a data result does not consume data. 2. Ad monitoring and sales monitoring: Each monitoring session costs $1/month. Each monitoring session is valid for one month and automatically expires after one month. Deleting a monitoring session does not restore the monitoring session, so please delete with caution. Monitoring sessions can be accessed at any time and are unlimited.

Request headers

AUTHORIZATIONAuthorization: {API Key}
CONTENT-TYPEapplication/json
ACCEPTapplication/json

Request example

cURL
curl --location --request GET 'https://api.ppspy.com/open-api/v1/ad-stores/deep-analysis?store_id=3da0b54f87306bebc81196bcf8cdba02' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: {API Key}'

Request parameters 1 fields

Pass each parameter in its specified location.

Parameter Type Description
store_id
query · required
string Ad Store ID |

Response example

Response · JSON
{
    "code": 200,
    "message": "success",
    "data": {
        "daily": {
            "week_0": {
                "ad_count": 0,
                "percentage": 0
            },
            "week_1": {
                "ad_count": 0,
                "percentage": 0
            },
            "week_2": {
                "ad_count": 0,
                "percentage": 0
            },
            "week_3": {
                "ad_count": 2,
                "percentage": 66.67
            },
            "week_4": {
                "ad_count": 1,
                "percentage": 33.33
            },
            "week_5": {
                "ad_count": 0,
                "percentage": 0
            },
            "week_6": {
                "ad_count": 0,
                "percentage": 0
            }
        },
        "time": {
            "time_1": {
                "ad_count": 3,
                "percentage": 100
            },
            "time_2": {
                "ad_count": 0,
                "percentage": 0
            },
            "time_3": {
                "ad_count": 0,
                "percentage": 0
            },
            "time_4": {
                "ad_count": 0,
                "percentage": 0
            },
            "time_5": {
                "ad_count": 0,
                "percentage": 0
            },
            "time_6": {
                "ad_count": 0,
                "percentage": 0
            },
            "time_7": {
                "ad_count": 0,
                "percentage": 0
            }
        }
    },
    "credits": {
        "remaining_credits": 745,
        "consumed_credits": 0,
        "total_credits": 745
    }
}
Example data from the existing documentation

Response structure

Name Type Required Constraints Display Name Description
» code integer true none Response Status Code Business status code
» message string true none Response Message Response message
» data object true none Response Data Response payload
»» daily object true none By Day Daily breakdown
»»» week_1 object true none Monday Data for Monday
»»»» ad_count integer true none Ad Count Number of ads
»»»» percentage number true none Percentage Percentage share
»»» week_2 object true none Tuesday Data for Tuesday
»»»» ad_count integer true none Ad Count Number of ads
»»»» percentage number true none Percentage Percentage share
»»» week_3 object true none Wednesday Data for Wednesday
»»»» ad_count integer true none Ad Count Number of ads
»»»» percentage number true none Percentage Percentage share
»»» week_4 object true none Thursday Data for Thursday
»»»» ad_count integer true none Ad Count Number of ads
»»»» percentage number true none Percentage Percentage share
»»» week_5 object true none Friday Data for Friday
»»»» ad_count integer true none Ad Count Number of ads
»»»» percentage number true none Percentage Percentage share
»»» week_6 object true none Saturday Data for Saturday
»»»» ad_count integer true none Ad Count Number of ads
»»»» percentage number true none Percentage Percentage share
»»» week_0 object true none Sunday Data for Sunday
»»»» ad_count integer true none Ad Count Number of ads
»»»» percentage number true none Percentage Percentage share
»» time object true none By Time Slot Hourly breakdown
»»» time_1 object true none 06:00-09:00 Early morning slot
»»»» ad_count integer true none Ad Count Number of ads
»»»» percentage number true none Percentage Percentage share
»»» time_2 object true none 09:00-12:00 Late morning slot
»»»» ad_count integer true none Ad Count Number of ads
»»»» percentage number true none Percentage Percentage share
»»» time_3 object true none 12:00-15:00 Afternoon slot
»»»» ad_count integer true none Ad Count Number of ads
»»»» percentage number true none Percentage Percentage share
»»» time_4 object true none 15:00-18:00 Late afternoon slot
»»»» ad_count integer true none Ad Count Number of ads
»»»» percentage number true none Percentage Percentage share
»»» time_5 object true none 18:00-21:00 Evening slot
»»»» ad_count integer true none Ad Count Number of ads
»»»» percentage number true none Percentage Percentage share
»»» time_6 object true none 21:00-23:00 Late evening slot
»»»» ad_count integer true none Ad Count Number of ads
»»»» percentage number true none Percentage Percentage share
»»» time_7 object true none 23:00-06:00 Overnight slot
»»»» ad_count integer true none Ad Count Number of ads
»»»» percentage number true none Percentage Percentage share

|» credits|object|true|none|Credits information|Credits information for the current API request| |»» remaining_credits|integer|true|none|Remaining credits|Remaining credits after this request| |»» consumed_credits|integer|true|none|Consumed credits|Credits consumed by this request| |»» total_credits|integer|true|none|Total credits|Total credits of the current credits type|

Search the existing endpoint names and paths